Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
Diffstat (limited to 'features')
-rw-r--r--features/org.eclipse.equinox.executable.feature/bin/carbon/macosx/ppc/Eclipse.app/Contents/Info.plist73
-rw-r--r--features/org.eclipse.equinox.executable.feature/bin/carbon/macosx/x86/Eclipse.app/Contents/Info.plist73
-rw-r--r--features/org.eclipse.equinox.executable.feature/bin/cocoa/macosx/ppc/Eclipse.app/Contents/Info.plist73
-rw-r--r--features/org.eclipse.equinox.executable.feature/bin/motif/linux/x86/libXm.so.2bin1915756 -> 0 bytes
-rw-r--r--features/org.eclipse.equinox.executable.feature/build.properties12
-rw-r--r--features/org.eclipse.equinox.executable.feature/forceQualifierUpdate.txt1
-rw-r--r--features/org.eclipse.equinox.executable.feature/pom.xml35
-rw-r--r--features/org.eclipse.equinox.executable.feature/resources/build.properties4
8 files changed, 25 insertions, 246 deletions
diff --git a/features/org.eclipse.equinox.executable.feature/bin/carbon/macosx/ppc/Eclipse.app/Contents/Info.plist b/features/org.eclipse.equinox.executable.feature/bin/carbon/macosx/ppc/Eclipse.app/Contents/Info.plist
deleted file mode 100644
index e784368f7..000000000
--- a/features/org.eclipse.equinox.executable.feature/bin/carbon/macosx/ppc/Eclipse.app/Contents/Info.plist
+++ /dev/null
@@ -1,73 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
-
-<dict>
- <key>CFBundleExecutable</key>
- <string>eclipse</string>
- <key>CFBundleGetInfoString</key>
- <string>Eclipse 3.8 for Mac OS X, Copyright IBM Corp. and others 2002, 2011. All rights reserved.</string>
- <key>CFBundleIconFile</key>
- <string>Eclipse.icns</string>
- <key>CFBundleIdentifier</key>
- <string>org.eclipse.eclipse</string>
- <key>CFBundleInfoDictionaryVersion</key>
- <string>6.0</string>
- <key>CFBundleName</key>
- <string>Eclipse</string>
- <key>CFBundlePackageType</key>
- <string>APPL</string>
- <key>CFBundleShortVersionString</key>
- <string>3.8</string>
- <key>CFBundleSignature</key>
- <string>????</string>
- <key>CFBundleVersion</key>
- <string>3.8</string>
- <key>CFBundleDevelopmentRegion</key>
- <string>English</string>
- <key>CFBundleLocalizations</key>
- <array>
- <string>ar</string>
- <string>cs</string>
- <string>da</string>
- <string>el</string>
- <string>en</string>
- <string>es</string>
- <string>de</string>
- <string>fi</string>
- <string>fr</string>
- <string>hu</string>
- <string>it</string>
- <string>iw</string>
- <string>ja</string>
- <string>ko</string>
- <string>nl</string>
- <string>no</string>
- <string>pl</string>
- <string>pt_BR</string>
- <string>pt</string>
- <string>ru</string>
- <string>sv</string>
- <string>tr</string>
- <string>zh_HK</string>
- <string>zh_TW</string>
- <string>zh</string>
- </array>
-
- <key>Eclipse</key>
- <array>
- <!-- to use a specific Java version (instead of the platform's default) uncomment one of the following options:
- <string>-vm</string><string>/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Commands/java</string>
- <string>-vm</string><string>/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Commands/java</string>
- -->
- <string>-keyring</string><string>~/.eclipse_keyring</string>
- <string>-showlocation</string>
- <!-- WARNING:
- If you try to add a single VM argument (-vmargs) here,
- *all* vmargs specified in eclipse.ini will be ignored.
- We recommend to add all arguments in eclipse.ini
- -->
- </array>
-</dict>
-
-</plist>
diff --git a/features/org.eclipse.equinox.executable.feature/bin/carbon/macosx/x86/Eclipse.app/Contents/Info.plist b/features/org.eclipse.equinox.executable.feature/bin/carbon/macosx/x86/Eclipse.app/Contents/Info.plist
deleted file mode 100644
index b55548fb3..000000000
--- a/features/org.eclipse.equinox.executable.feature/bin/carbon/macosx/x86/Eclipse.app/Contents/Info.plist
+++ /dev/null
@@ -1,73 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
-
-<dict>
- <key>CFBundleExecutable</key>
- <string>eclipse</string>
- <key>CFBundleGetInfoString</key>
- <string>Eclipse 3.8 for Mac OS X, Copyright IBM Corp. and others 2002, 2011. All rights reserved.</string>
- <key>CFBundleIconFile</key>
- <string>Eclipse.icns</string>
- <key>CFBundleIdentifier</key>
- <string>org.eclipse.eclipse</string>
- <key>CFBundleInfoDictionaryVersion</key>
- <string>6.0</string>
- <key>CFBundleName</key>
- <string>Eclipse</string>
- <key>CFBundlePackageType</key>
- <string>APPL</string>
- <key>CFBundleShortVersionString</key>
- <string>3.8</string>
- <key>CFBundleSignature</key>
- <string>????</string>
- <key>CFBundleVersion</key>
- <string>3.8</string>
- <key>CFBundleDevelopmentRegion</key>
- <string>English</string>
- <key>CFBundleLocalizations</key>
- <array>
- <string>ar</string>
- <string>cs</string>
- <string>da</string>
- <string>el</string>
- <string>en</string>
- <string>es</string>
- <string>de</string>
- <string>fi</string>
- <string>fr</string>
- <string>hu</string>
- <string>it</string>
- <string>iw</string>
- <string>ja</string>
- <string>ko</string>
- <string>nl</string>
- <string>no</string>
- <string>pl</string>
- <string>pt_BR</string>
- <string>pt</string>
- <string>ru</string>
- <string>sv</string>
- <string>tr</string>
- <string>zh_HK</string>
- <string>zh_TW</string>
- <string>zh</string>
- </array>
-
- <key>Eclipse</key>
- <array>
- <!-- to use a specific Java version (instead of the platform's default) uncomment one of the following options:
- <string>-vm</string><string>/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Commands/java</string>
- <string>-vm</string><string>/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Commands/java</string>
- -->
- <string>-keyring</string><string>~/.eclipse_keyring</string>
- <string>-showlocation</string>
- <!-- WARNING:
- If you try to add a single VM argument (-vmargs) here,
- *all* vmargs specified in eclipse.ini will be ignored.
- We recommend to add all arguments in eclipse.ini
- -->
- </array>
-</dict>
-
-</plist>
diff --git a/features/org.eclipse.equinox.executable.feature/bin/cocoa/macosx/ppc/Eclipse.app/Contents/Info.plist b/features/org.eclipse.equinox.executable.feature/bin/cocoa/macosx/ppc/Eclipse.app/Contents/Info.plist
deleted file mode 100644
index e784368f7..000000000
--- a/features/org.eclipse.equinox.executable.feature/bin/cocoa/macosx/ppc/Eclipse.app/Contents/Info.plist
+++ /dev/null
@@ -1,73 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE plist PUBLIC "-//Apple Computer//DTD PLIST 1.0//EN" "http://www.apple.com/DTDs/PropertyList-1.0.dtd">
-<plist version="1.0">
-
-<dict>
- <key>CFBundleExecutable</key>
- <string>eclipse</string>
- <key>CFBundleGetInfoString</key>
- <string>Eclipse 3.8 for Mac OS X, Copyright IBM Corp. and others 2002, 2011. All rights reserved.</string>
- <key>CFBundleIconFile</key>
- <string>Eclipse.icns</string>
- <key>CFBundleIdentifier</key>
- <string>org.eclipse.eclipse</string>
- <key>CFBundleInfoDictionaryVersion</key>
- <string>6.0</string>
- <key>CFBundleName</key>
- <string>Eclipse</string>
- <key>CFBundlePackageType</key>
- <string>APPL</string>
- <key>CFBundleShortVersionString</key>
- <string>3.8</string>
- <key>CFBundleSignature</key>
- <string>????</string>
- <key>CFBundleVersion</key>
- <string>3.8</string>
- <key>CFBundleDevelopmentRegion</key>
- <string>English</string>
- <key>CFBundleLocalizations</key>
- <array>
- <string>ar</string>
- <string>cs</string>
- <string>da</string>
- <string>el</string>
- <string>en</string>
- <string>es</string>
- <string>de</string>
- <string>fi</string>
- <string>fr</string>
- <string>hu</string>
- <string>it</string>
- <string>iw</string>
- <string>ja</string>
- <string>ko</string>
- <string>nl</string>
- <string>no</string>
- <string>pl</string>
- <string>pt_BR</string>
- <string>pt</string>
- <string>ru</string>
- <string>sv</string>
- <string>tr</string>
- <string>zh_HK</string>
- <string>zh_TW</string>
- <string>zh</string>
- </array>
-
- <key>Eclipse</key>
- <array>
- <!-- to use a specific Java version (instead of the platform's default) uncomment one of the following options:
- <string>-vm</string><string>/System/Library/Frameworks/JavaVM.framework/Versions/1.4.2/Commands/java</string>
- <string>-vm</string><string>/System/Library/Frameworks/JavaVM.framework/Versions/1.5.0/Commands/java</string>
- -->
- <string>-keyring</string><string>~/.eclipse_keyring</string>
- <string>-showlocation</string>
- <!-- WARNING:
- If you try to add a single VM argument (-vmargs) here,
- *all* vmargs specified in eclipse.ini will be ignored.
- We recommend to add all arguments in eclipse.ini
- -->
- </array>
-</dict>
-
-</plist>
diff --git a/features/org.eclipse.equinox.executable.feature/bin/motif/linux/x86/libXm.so.2 b/features/org.eclipse.equinox.executable.feature/bin/motif/linux/x86/libXm.so.2
deleted file mode 100644
index dc827a974..000000000
--- a/features/org.eclipse.equinox.executable.feature/bin/motif/linux/x86/libXm.so.2
+++ /dev/null
Binary files differ
diff --git a/features/org.eclipse.equinox.executable.feature/build.properties b/features/org.eclipse.equinox.executable.feature/build.properties
index 841e3078a..08cd96991 100644
--- a/features/org.eclipse.equinox.executable.feature/build.properties
+++ b/features/org.eclipse.equinox.executable.feature/build.properties
@@ -13,16 +13,14 @@
bin.includes = bin/,\
feature.xml,\
feature.properties,\
- gtk_root/,\
- motif_root/,\
- contributed/
+ gtk_root/
####Even though marked as custom, the content of the build.properties needs to be updated to ensure correctness of RCP app exported
#root.permissions.755=${launcherName}
-root.win32.win32.x86=file:bin/win32/win32/x86/launcher.exe
+root.win32.win32.x86=bin/win32/win32/x86
root.win32.win32.x86.permissions.755=launcher.exe
-root.win32.win32.x86_64=file:bin/win32/win32/x86_64/launcher.exe
+root.win32.win32.x86_64=bin/win32/win32/x86_64
root.win32.win32.x86_64.permissions.755=launcher.exe
root.linux.gtk.x86=bin/gtk/linux/x86,gtk_root
@@ -56,9 +54,9 @@ root.solaris.gtk.sparc.permissions.755=launcher
root.linux.gtk.x86_64=bin/gtk/linux/x86_64,gtk_root
root.linux.gtk.x86_64.permissions.755=libcairo-swt.so
-root.linux.gtk.s390x=contributed/gtk/linux/s390x,gtk_root
+root.linux.gtk.s390x=bin/gtk/linux/s390x,gtk_root
root.linux.gtk.s390x.permissions.755=launcher
-root.linux.gtk.s390=contributed/gtk/linux/s390,gtk_root
+root.linux.gtk.s390=bin/gtk/linux/s390,gtk_root
root.linux.gtk.s390.permissions.755=launcher
diff --git a/features/org.eclipse.equinox.executable.feature/forceQualifierUpdate.txt b/features/org.eclipse.equinox.executable.feature/forceQualifierUpdate.txt
index f80e66f70..673b7b880 100644
--- a/features/org.eclipse.equinox.executable.feature/forceQualifierUpdate.txt
+++ b/features/org.eclipse.equinox.executable.feature/forceQualifierUpdate.txt
@@ -1,3 +1,4 @@
# To force a version qualifier update add the bug here
Bug 403352 - Update all parent versions to match our build stream
Bug 407109 - Launcher executable is missing from s390/s390x builds
+Bug 421439 - remove unsupported platforms from delta pack
diff --git a/features/org.eclipse.equinox.executable.feature/pom.xml b/features/org.eclipse.equinox.executable.feature/pom.xml
index 414be1b21..156de22e8 100644
--- a/features/org.eclipse.equinox.executable.feature/pom.xml
+++ b/features/org.eclipse.equinox.executable.feature/pom.xml
@@ -331,34 +331,33 @@
<!-- We need to get binary bits from binary repo -->
<!-- If local binaries had been built, copy will not overwrite
them -->
- <copy todir="bin">
+ <echo message="Copy eclipse binaries to launcher binaries" />
+ <copy todir="bin" verbose="true" includeEmptyDirs="false" failonerror="true">
<fileset dir="../../../rt.equinox.binaries/org.eclipse.equinox.executable/bin/">
- <include name="**/*"/>
+ <include name="cocoa/macosx/x86/**/*" />
+ <include name="cocoa/macosx/x86_64/**/*" />
+ <include name="gtk/aix/ppc/**/*" />
+ <include name="gtk/aix/ppc64/**/*" />
+ <include name="gtk/hpux/ia64/**/*" />
+ <include name="gtk/linux/ppc/**/*" />
+ <include name="gtk/linux/ppc64/**/*" />
+ <include name="gtk/linux/x86/**/*" />
+ <include name="gtk/linux/x86_64/**/*" />
+ <include name="gtk/solaris/sparc/**/*" />
+ <include name="gtk/solaris/x86/**/*" />
+ <include name="win32/win32/x86/**/*" />
+ <include name="win32/win32/x86_64/**/*" />
</fileset>
- </copy>
- <copy todir="contributed">
<fileset dir="../../../rt.equinox.binaries/org.eclipse.equinox.executable/contributed/">
- <include name="**/*"/>
+ <include name="gtk/linux/s390/**/*" />
+ <include name="gtk/linux/s390x/**/*" />
</fileset>
</copy>
- <!-- Things below were copied from custombuildCallbacks.xml, as
- Tycho does not support that -->
- <copy includeEmptyDirs="false" todir="tempBin">
- <fileset dir="bin"/>
- </copy>
- <delete dir="bin"/>
- <move todir="bin">
- <fileset dir="tempBin"/>
- </move>
<!-- rename eclipse launchers to "launcher" -->
<move todir="bin" verbose="true">
<fileset dir="bin"/>
<regexpmapper from="^(.*[/\\])eclipse(.exe)?$" to="\1launcher\2"/>
</move>
- <move todir="contributed" verbose="true">
- <fileset dir="contributed"/>
- <regexpmapper from="^(.*[/\\])eclipse(.exe)?$" to="\1launcher\2"/>
- </move>
</target>
</configuration>
<goals>
diff --git a/features/org.eclipse.equinox.executable.feature/resources/build.properties b/features/org.eclipse.equinox.executable.feature/resources/build.properties
index 0f30a876d..a224ffa4e 100644
--- a/features/org.eclipse.equinox.executable.feature/resources/build.properties
+++ b/features/org.eclipse.equinox.executable.feature/resources/build.properties
@@ -50,8 +50,8 @@ root.solaris.gtk.sparc.permissions.755=launcher
root.linux.gtk.x86_64=bin/gtk/linux/x86_64,gtk_root
root.linux.gtk.x86_64.permissions.755=libcairo-swt.so
-root.linux.gtk.s390x=contributed/gtk/linux/s390x,gtk_root
+root.linux.gtk.s390x=bin/gtk/linux/s390x,gtk_root
root.linux.gtk.s390x.permissions.755=launcher
-root.linux.gtk.s390=contributed/gtk/linux/s390,gtk_root
+root.linux.gtk.s390=bin/gtk/linux/s390,gtk_root
root.linux.gtk.s390.permissions.755=launcher

Back to the top